#ifndef __BIGTIME_H__
#define __BIGTIME_H__

#include <qwidget.h>
#include <qlabel.h>

class MusE;

//---------------------------------------------------------
//   BigTime
//---------------------------------------------------------

class BigTime : public QWidget {
      bool tickmode;
      MusE* seq;
      Q_OBJECT

      bool setString(int);

      QLabel *barLabel, *beatLabel, *tickLabel,
             *hourLabel, *minLabel, *secLabel, *frameLabel,
             *sep1, *sep2, *sep3, *sep4, *sep5;
      int oldbar, oldbeat, oldtick, oldhour, oldmin, oldsec, oldframe;

   protected:
      virtual void resizeEvent(QResizeEvent*);
      virtual void closeEvent(QCloseEvent*);

   public slots:
      void setPos(int, int, bool);
      void setFgColor(QColor);
      void setBgColor(QColor);

   public:
      QColor getFgColor();
      QColor getBgColor();
      BigTime(QWidget* parent, MusE* se);
      };

#endif
